/// <reference types="node" />
import { FileDataItem } from 'arbundles/file';
import Blockweave from 'blockweave';
import { AxiosResponse } from 'axios';
import { JWKInterface } from 'blockweave/dist/faces/lib/wallet';
import Api from 'arweave/node/lib/api';
export default class Bundler {
    private signer;
    private blockweave;
    constructor(wallet: JWKInterface, blockweave: Blockweave);
    createItem(data: Buffer | string, tags?: {
        name: string;
        value: string;
    }[]): Promise<FileDataItem>;
    bundleAndSign(txs: FileDataItem[]): Promise<import("arbundles/file").FileBundle>;
    post(tx: FileDataItem, bundler: string): Promise<AxiosResponse<any>>;
    static getAddressBalance(bundler: Api, address: string): Promise<number>;
}
