export interface CacheDataInterface {
    id: string;
    confirmed: boolean;
}
export default class Cache {
    readonly debug: boolean;
    readonly isArLocal: boolean;
    private cache;
    private cacheFile;
    constructor(debug: boolean, isArLocal: boolean);
    get(key: string): CacheDataInterface;
    set(key: string, value: CacheDataInterface): void;
    has(key: string): boolean;
    delete(key: string): void;
    clear(): void;
    size(): number;
    save(colors?: boolean): Promise<void>;
    keys(): string[];
    values(): CacheDataInterface[];
    entries(): [string, CacheDataInterface][];
}
