/**
 * utils.ts - Various utility functions
 */
import Blockweave from 'blockweave';
import minimist from 'minimist';
export declare function setArweaveInstance(argv: minimist.ParsedArgs, debug: boolean): Blockweave;
export declare function isValidWalletAddress(address: string): boolean;
export declare function bytesForHumans(bytes: number): string;
export declare function numbersForHumans(x: number): string;
export declare function dirExists(dir: string): boolean;
export declare function getUserDirectory(): string;
export declare function getPackageVersion(): string;
export declare function pause(ms: number): Promise<unknown>;
export declare function snakeCaseToTitleCase(snake_case: string): string;
/**
 *
 * @param colors colors option (--colors) set in cli
 * @param text text to parsed
 * @param color color to be parsed to
 * @returns parsed
 */
export declare const parseColor: (colors: boolean, text: string | number, color?: string) => string;
